Deployments.ai Docs
Brains

Update a Brain

PATCH /v1/brains/{brainId} · SDK updateBrain · CLI deployments brain update

PATCH
/v1/brains/{brainId}

Requires brains:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
expectedVersion*integer
Range0 <= value
maintenancePolicy?
name?string
Lengthlength <= 200
retrievalPolicy?
sensitivity?string
Value in"confidential""internal""public""restricted"
slug?string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 80

Response Body

BrainResponse

application/json
  1. response
createdAt*string
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
kind*string
Value in"company""member-private"
name*string
Lengthlength <= 200
organizationId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownerPrincipalId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
ownershipGeneration*integer
Range0 <= value
schemaVersion*integer
Range0 <= value
sensitivity*string
Value in"confidential""internal""public""restricted"
slug*string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length1 <= length <= 80
status*string
Value in"active""archived""erasing"
updatedAt*string
version*integer
Range0 <= value
curl -X PATCH "https://example.com/v1/brains/string" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 0  }'
{  "createdAt": "string",  "id": "string",  "kind": "company",  "name": "string",  "organizationId": "string",  "ownerPrincipalId": "string",  "ownershipGeneration": 0,  "schemaVersion": 0,  "sensitivity": "confidential",  "slug": "string",  "status": "active",  "updatedAt": "string",  "version": 0}